// Collapsable Mobile Menus

Day 16 (published 19 December 2020)

Installing Xcode

Install Xcode using these instructions: Loop and Learn Xcode – Install. The instructions will be kept up to date as versions and procedures change.

Setting Xcode Preferences

If you already have Xcode installed and did not need the instructions above, take a moment to follow the “Command Line Tools” and “Add Apple ID” instructions from LoopDocs (they are included as part of the section above, you do not need to do them twice).

***************** STOP *******************

January 14, 2021

The latest version of carthage (0.36.1) is broken. Stopped being able to build Loop.

January 25, 2021

As time goes by, all Loop branches (master, dev, AB and workspace version) have been modified.

The good news is carthage is no longer needed – skip all homebrew and carthage steps!!!

FreeAPS fork will be updated soon.  In the meantime, if you did get carthage 0.36.1 on your system, use the Select Script (link below) which automatically puts the correct version of carthage on your system when building FreeAPS.

Not sure of all the other forks – it’s enough to keep up with master, AB and FreeAPS (and once the all-clear is given, dev).

Download the Select Script and use that to build and install Loop.

***************** STOP *******************

Homebrew / Carthage

Install Homebrew and Carthage. If this is a first time install use this command:

/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"

If you already have Homebrew installed, update it with this command instead:

git -C "/usr/local/Homebrew/Library/Taps/homebrew/homebrew-core" fetch --unshallow

 

NOTE:  The above commands can take a long time to run.  Disable your screen saver and wait it out for up to a few hours if you have a slow internet connection.

If “brew –version” (note that is a double dash, some browsers convert it into a single when you view this page) returns a version number of 2.6.2 or higher, you were successful.

Now install carthage with the terminal command “brew install carthage

Look carefully at the Carthage install screen.  If there is an error message: “Error: The `brew link` step did not complete successfully”,

Then you need to run the extra command:

brew link –overwrite carthage

 

After doing that, you should be able to type “carthage version” and see a version number of 0.36.0 or higher.

 

You have completed the installation of the tools needed to build the various branches and forks of Loop!

Skip to content